Subject: Re: [RFC] pktgen: set correct max and min in pktgen_setup_inject()

From: Jesse Brandeburg <[email-masked]>
Date: Fri, 6 Jan 2012 09:29:12 -0800

On Fri, 6 Jan 2012 05:13:47 -0800
Dan Carpenter <[email-masked]> wrote:

> In 882716604ec "pktgen: fix multiple queue warning" we added special
> logic to handle the case where ntxq is zero.  It's not clear to me that
> ntxq can actually be zero.  But if it were then we would set
> ->queue_map_min and ->queue_map_max to USHRT_MAX when probably we want
> to set them to zero?

seems fine to me, esp since -1 seems like a bad value there.